% program solved_problem_1_2_dr
clear; clc

% Parameters
C1       = 5; 
C2       = 3; 
R1       = 2;
R2       = 4; 

% Input Variables
Vis      = 1;

% State Variables
V2s      = 1;
V3s      = 1;

% Output Variables
Vos      = 1;

% Parameters vector
parameters = zeros(8,1);
parameters( 1,1) = C1;
parameters( 2,1) = C2;
parameters( 3,1) = R1;
parameters( 4,1) = R1;
parameters( 5,1) = Vis;
parameters( 6,1) = V2s;
parameters( 7,1) = V3s;
parameters( 8,1) = Vos;
t0   =     0;              
tf   =   200;
%--------------------------------------------------------------------------
[t,y]=ode45(@solved_problem_1_2,[t0 tf],[V2s, V3s],[],parameters);
figure(1)
plot(t,y(:,1))
title('V2 versus t')
pause

figure(2)
plot(t,y(:,2))
title('V3 versus t')
