function [f] = solved_problem_1_3(t,x,parameters)

% Parameters
l        = parameters( 1,1);   %         1
m1       = parameters( 2,1);   %         2
m2       = parameters( 3,1);   %         3
k        = parameters( 4,1);   %         4
c        = parameters( 5,1);   %         5
g        = parameters( 6,1);   %         6 
A        = parameters( 7,1);   %         7

xx       = x(1,1);
xdot     = x(2,1);
phi      = x(3,1);
phidot   = x(4,1);

ff        = f_fun(t,parameters);
f(1,1)    = xdot;
f(2,1)    = (-m2*l/(m1+m2)*((-g/l*sin(phi)...
             +ff/m2/l*cos(phi))*cos(phi)...
             -phidot^2*sin(phi))...
             -c/(m1+m2)*xdot-k/(m1+m2)*xx...
             +ff/(m1+m2))/...
             (1-m2/(m1+m2)*(cos(phi))^2);
f(3,1)    = phidot;
f(4,1)    = (-1/l*(m2*l/(m1+m2)*phidot^2*sin(phi)...
             -c/(m1+m2)*xdot-k/(m1+m2)*xx...
             +ff/(m1+m2))*cos(phi)...
             -g/l*sin(phi)...
             +ff/m2/l*cos(phi))/...
             (1-m2/(m1+m2));
return
