function [f] = heat_tank(t,x,parameters)
 
% Parameters
F       = parameters( 1,1);       %   1
V       = parameters( 2,1);       %   2
T0s     = parameters( 3,1);       %   3
 
% State Variables
T       = x( 1);                  %   1
 
% Input Variables
T0      = T0_fun(t,parameters);   %   1
 
f       = zeros(1,1);
 
% Differential equations

f( 1,1)    = F/V*(T0 - T);

return
