% program case_03

clear; clc

syms s t

yt = ilaplace(3*(4*s+1)/(s+2)/(s^2+2*s+2)/(s+3))
pause

tt  = [0:0.1:8];
yt_analytical = - 21/2*exp(-2*tt)...
                + 33/5*exp(-3*tt)...
                + 3/10*exp(-1*tt).*...
                  (13*cos(tt) + 9*sin(tt));
num = 3*[4 1];
den = conv([1 2],[1 2 2]);
sys = tf(num,den);
u   = exp(-3*tt);
[yt_numerical]  = lsim(sys,u,tt);
plot(tt,yt_analytical,tt,yt_numerical,'o')
