% program example_07_03
clear; clc

s  = tf('s');
GfGpGm = 6/(2*s+1)/(4*s+1)/(6*s+1);
Gc     = 1+1/0.75/s+10*s;
Kc1    = 1;
Kc2    = 0.03;
Kc3    = 0.3;

Gol1   = Kc1*Gc*GfGpGm;
figure(1)
nyquist(Gol1); axis([-20 0 -4 3])
pause

P1 = 0;       % number of unstable poles of open loop
N1 = 0;       % number which shows how many times point (-1, 0)
              % is clock-wise encircled by Nyquist plot  
U1 = P1+N1    % number of unstable poles of closed loop

Gol2   = Kc2*Gc*GfGpGm;
figure(2)
nyquist(Gol2); axis([-20 0 -4 3])
pause

P2 = 0;       % number of unstable poles of open loop
N2 = 0;       % number which shows how many times point (-1, 0)
              % is clock-wise encircled by Nyquist plot  
U2 = P2+N2    % number of unstable poles of closed loop

Gol3   = Kc3*Gc*GfGpGm;
figure(3)
nyquist(Gol3); axis([-20 0 -4 3])
pause

P3 = 0;       % number of unstable poles of open loop
N3 = 1;       % number which shows how many times point (-1, 0)
              % is clock-wise encircled by Nyquist plot  
U3 = P3+N3    % number of unstable poles of closed loop