% program example_07_04

clear; clc

s  = tf('s');
GfGpGm = 1/s/(s-1);
Kc1    = 1;
Kc2    = 2;

Gol1   = Kc1*GfGpGm;
figure(1)
nyquist(Gol1); axis([-2 0 -20 20])
pause

P1 = 1;       % number of unstable poles of open loop
N1 = 1;       % number which shows how many times point (-1, 0)
              % is clock-wise encircled by Nyquist plot  
U1 = P1+N1    % number of unstable poles of closed loop

Gol2   = Kc2*GfGpGm;
figure(2)
nyquist(Gol2); axis([-2 0 -20 20])
pause

P2 = 1;       % number of unstable poles of open loop
N2 = 1;       % number which shows how many times point (-1, 0)
              % is clock-wise encircled by Nyquist plot  
U2 = P2+N2    % number of unstable poles of closed loop

