% program example_07_05

clear; clc

s  = tf('s');
GfGpGm = (s+3)/s/(s-2);
Kc1    = 1;
Kc2    = 4;

Gol1   = Kc1*GfGpGm;
figure(1)
nyquist(Gol1); axis([-4 0 -4 4])
pause

P1 = 1;       % number of unstable poles of open loop
N1 = 1;       % number which shows how many times point (-1, 0)
              % is clock-wise encircled by Nyquist plot  
U1 = P1+N1    % number of unstable poles of closed loop

Gol2   = Kc2*GfGpGm;
figure(2)
nyquist(Gol2); axis([-4 0 -4 4])
pause

P2 = 1;       % number of unstable poles of open loop
N2 = -1;      % number which shows how many times point (-1, 0)
              % is clock-wise encircled by Nyquist plot  
U2 = P2+N2    % number of unstable poles of closed loop

