% program sxhma_7_26

clear; clc;

omega = [0.1:0.01:10];
Kp    = 2;
tp    = 1;
td_model = 1;
td_true  = 2;

s = tf('s');
Gp_model  = Kp/(tp*s+1)*exp(-td_model*s);
Gp_true   = Kp/(tp*s+1)*exp(-td_true *s);

AR        = Kp./sqrt(tp^2*omega.^2+1);
phi_model = (atan(-tp*omega)-td_model*omega)*180/pi;
phi_true  = (atan(-tp*omega)-td_true *omega)*180/pi;

subplot(2,1,1), loglog(omega,AR), axis([0.1 10 0.1 10]) 
subplot(2,1,2), semilogx(omega,phi_model,omega,phi_true), axis([0.1 10 -200 0])

