% program problem_9_2_dr
clear; clc 
s = tf('s');

dt    = 0.01;
tt    = [0:dt:50];

Gp    = 2/s/(s+1)/(s+2);
Kc    = 0.965;

Gsp   = Kc*Gp/(1+Kc*Gp);
[yt]  = step(Gsp, tt);

figure(1)
plot(tt,yt)
pause

error = 1 - yt;
ISE  = dt*sum(error.^2)



