% program example_13_4_dr
clear; clc

s = tf('s');

G   = [(2/(10*s+1)), (2/(1*s+1));(1/(1*s+1)), (-4/(10*s+1))];

Kc11 =  1;
Kc12 =  -1;

Kc21 =  1;
Kc22 =  1;

Gc1 = [Kc11, 0; 0, Kc12];

Gc2 = [0, Kc21; Kc22, 0];

GSP1 = inv(eye(2)+Gc1*G)*G*Gc1
GSP2 = inv(eye(2)+Gc2*G)*G*Gc2
pause

tt   = [0:0.01:40];

y_111 = step(GSP1(1,1), tt);
y_112 = step(GSP1(1,2), tt);
y_121 = step(GSP1(2,1), tt);
y_122 = step(GSP1(2,2), tt);

y_211 = step(GSP2(1,1), tt);
y_212 = step(GSP2(1,2), tt);
y_221 = step(GSP2(2,1), tt);
y_222 = step(GSP2(2,2), tt);

figure(1)
plot(tt, y_111+y_112,tt,y_121+y_122)
pause

figure(2)
plot(tt, y_211+y_212,tt,y_221+y_222)
