function [x] = lin_eq_sol(A,b)

[n,m]   = size(A);
[k,l]   = size(b);
if n ~= m
    disp('matrix A must be square')
    x = [];
elseif l ~= 1
    disp('b must be column vector')
    x = [];
elseif k ~= n
    disp('b must be column vector with length n')
    x = [];
elseif det(A) == 0
    disp('matrix A must be nonsingular')
    x = [];
else
    x = A\b;
end

return    
