function [avg, med] = statistics_1(d)
%   statistics_1 calculates the average and median 
%   of a data set using subfunctions
avg = mean(d);
med = median(d);
end  %  function statistics_1
%---------------------------------------------------------------------------
function m1 = mean(d)
%   mean is a subfunction that calculates the anerage of a data set 
n  = length(d);
m1 = sum(d)/n;
end  %  subfunction mean
%---------------------------------------------------------------------------
function m2 = median(d)
%   median is a subfunction that calculates the median of a data set 
n = length(d);
w = sort(d);
if rem(n,2) == 1
    m2 = w((n+1) / 2);
else
    m2 = ( w(n/2) + w((n/2) + 1) ) / 2;
end
end  %  subfunction median
%---------------------------------------------------------------------------
