function [avg, med] = statistics_2(d)
%   statistics_2 calculates the average and median 
%   of a data set using nested functions
avg = mean();
med = median();
%---------------------------------------------------------------------------
function m1 = mean()
%   mean is a nested function that calculates the anerage of a data set 
n  = length(d);
m1 = sum(d)/n;
end  %  nested function mean
%---------------------------------------------------------------------------
function m2 = median()
%   median is a nested function that calculates the median of a data set 
n = length(d);
w = sort(d);
if rem(n,2) == 1
    m2 = w((n+1) / 2);
else
    m2 = ( w(n/2) + w((n/2) + 1) ) / 2;
end
end  %  nested function median
%---------------------------------------------------------------------------
end  %  function statistics_2
%---------------------------------------------------------------------------
