% program connect_example
clear;
clc

numc  = [5];  		denc=[1];
numf  = [2];  		denf=[1];
nump  = [4];  		denp=[1  3  2];
numm  = [1];  		denm=[0.1  1];
numkm = [1];  		denkm=[1];

sys_gc_tf  = tf(numc, denc);
sys_gf_tf  = tf(numf, denf);
sys_gp_tf  = tf(nump, denp);
sys_gm_tf  = tf(numm, denm);
sys_gkm_tf = tf(numkm,denkm);

sys_sum_ss=ss([1,-1]);
sys_sum_tf=tf (sys_sum_ss);

% case 1

sys_gc_tf.inputname  = 'e';  	          sys_gc_tf.outputname  = 'c';
sys_gf_tf.inputname  = 'c';  	          sys_gf_tf.outputname  = 'u';
sys_gp_tf.inputname  = 'u';  	          sys_gp_tf.outputname  = 'y';
sys_gm_tf.inputname  = 'y';  	          sys_gm_tf.outputname  = 'ym';
sys_gkm_tf.inputname = 'ysp';             sys_gkm_tf.outputname = 'yspstar';
sys_sum_tf.inputname = {'yspstar','ym'};  sys_sum_tf.outputname = 'e';

Gsp_tf1 = connect(sys_gc_tf,...
                  sys_gf_tf,...
                  sys_gp_tf,...
                  sys_gm_tf,...
                  sys_gkm_tf,...
                  sys_sum_tf,...
                  'ysp','y')             
pause

% case 2

blksys_tf = append(sys_gc_tf, sys_gf_tf, sys_gp_tf, sys_gm_tf, sys_gkm_tf);
blksys_ss = ss(blksys_tf)

Q       = [1,5,-4;2,1,0;3,2,0;4,3,0]

Gsp_ss  = connect(blksys_ss,Q,5,3)              
              
Gsp_tf2 = tf(Gsp_ss)              
