function [f] = solved_problem_1_2(t,x,parameters)

% Parameters
C1       = parameters( 1,1);   %         1
C2       = parameters( 2,1);   %         2
R1       = parameters( 3,1);   %         3
R2       = parameters( 4,1);   %         4

V2       = x(1);
V3       = x(2);

Vi       = Vi_fun(t,parameters);
dVi      = dVi_fun(t,parameters);

f(1,1)    = (-1/C1/R1-1/C1/R2)*V2+1/C1/R2*V3+1/C1/R1*Vi;
f(2,1)    = 1/C2/R2*V2-1/C2/R2*V3+dVi;

return
