% program solved_problem_1_3_dr
clear;  clc

% Parameters
l        =    1;                        %  1
m1       =   50;                        %  2
m2       =    1;                        %  3
k        =    5;                        %  4
c        =    3;                        %  5
g        =   10;                        %  6
A        =    1;                        %  7

% Initial State Variables
x10      = 0;
x20      = 0;
x30      = 45*pi/180;
x40      = 0;

% Parameters vector
parameters = zeros(7,1);
parameters( 1,1) = l;
parameters( 2,1) = m1;
parameters( 3,1) = m2;
parameters( 4,1) = k;
parameters( 5,1) = c;
parameters( 6,1) = g;
parameters( 7,1) = A;

t0   =     0;              
tf   =   100;             
% -------------------------------------------------------------------------
 [t,y]=ode45(@solved_problem_1_3,[t0 tf],[x10 x20 x30 x40],[],parameters);
figure(1)
plot(t,y(:,1))
title('x(t)')
pause

figure(2)
plot(t,y(:,3)*180/pi)
title('phi(t)')
