% program case_04

clear; clc

syms s t

yt = ilaplace(2/(s+2)/(s^2+2*s+2)/s*exp(-s))
pause

tt  = [0:0.1:8];
yt_analytical = (   1/2                     ...
                  - exp(-(tt-1)).*sin(tt-1) ...
                  - 1/2*exp(-2*(tt-1))     )...
                  .* heaviside(tt-1);
s   = tf('s');
Gp  = 2/(s+2)/(s^2+2*s+2)*exp(-s)
[yt_numerical]  = step(Gp,tt);
plot(tt,yt_analytical,tt,yt_numerical,'o')
