% program case_05

clear; clc

s   = tf('s');

Gp  = [  1/(s^2+2*s+2), (s+2)/(s^2+2*s+2),  (s+2)/(s^2+2*s+2);...
       2*s/(s^2+2*s+2), (s+1)/(s^2+2*s+2),      1/(s^2+2*s+2)];
u_s = [2/s; 1/(s+1);2*pi/(s^2+4*pi^2)];
 
y_s_1 =    1/(s^2+2*s+2)*   2/s +...
       (s+2)/(s^2+2*s+2)*   1/(s+1) +...
       (s+2)/(s^2+2*s+2)*   2*pi/(s^2+4*pi^2) 
   
y_s_2 =  2*s/(s^2+2*s+2)*   2/s +...
       (s+1)/(s^2+2*s+2)*   1/(s+1) +...
           1/(s^2+2*s+2)*   2*pi/(s^2+4*pi^2) 
pause

tt  = [0:0.1:10];
 
y_1_numerical = impulse(y_s_1,tt);
y_2_numerical = impulse(y_s_2,tt);
 
plot(tt,y_1_numerical,'k-',tt,y_2_numerical,'k--')
