function [M,sum] = routh(a)
[rr,rc] = size(a);
if (rr > 1) & (rc > 1) 
    display('a must be a vector, not a matrix')
    M = [];
    return
end
if (rr > 1) & (rc == 1) 
    a = a.';
end
n       = length(a) - 1;
rows    = n + 1;
columns = floor((n+2)/2);
M = zeros(rows,columns);
for i = 1:columns
    M(1,i) = a(1,2*i-1);
    if 2*i <= (n+1)
        M(2,i) = a(1,2*i  );
    else
        M(2,i) = 0;
    end
end
if M(2,1) == 0
    M(2,1) = 1e-4;
end
for i = 3:rows
    for j = 1:columns - 1
        M(i,j) = - det ( [M(i-2,1) M(i-2,j+1) ; M(i-1,1) M(i-1,j+1) ] ) / M(i-1,1);
        if M(i,j) == 0
            M(i,j) = 1e-4;
        end
    end
end
sum = 0;
for k = 1:rows-1
    if M(k,1)*M(k+1,1) < 0
        sum = sum + 1;
    end
end
