% program example_07_02

clear; clc

s  = tf('s');
GfGpGm = 2/s/(s+1)/(s+2);

Kc1    = 1;
Gol1   = Kc1*GfGpGm;
figure(1)
nyquist(Gol1); axis([-7 0 -10 2])
pause

P1 = 0;       % number of unstable poles of open loop
N1 = 0;       % number which shows how many times point (-1, 0)
              % is clock-wise encircled by Nyquist plot  
U1 = P1+N1    % number of unstable poles of closed loop

Kc2    = 5;
Gol2   = Kc2*GfGpGm;
figure(2)
nyquist(Gol2); axis([-7 0 -10 2])
pause

P2 = 0;       % number of unstable poles of open loop
N2 = 1;       % number which shows how many times point (-1, 0)
              % is clock-wise encircled by Nyquist plot  
U2 = P2+N2    % number of unstable poles of closed loop
