% program example_07_06

clear; clc

s  = tf('s');
Gf = 1;
Gm = 1;
Gp = 5*(s+1)/(s^3+2*s^2+2*s+5);
Gc = (2*s+1)/2/s;

roots([1 2 2 5])
P = 2;   % number of unstable roots of open loop
Gol = Gc*Gf*Gp*Gm;
figure(1)
rlocus(Gol)
pause

figure(2)
bode(Gol)
pause

figure(3)
nyquist(Gol)
pause

figure(4)
nyquist(Gol, {2,10})
pause

P  = 2        % number of unstable poles of open loop
N  = -2       % number which shows how many times point (-1, 0)
              % is clock-wise encircled by Nyquist plot  
U  = P+N      % number of unstable poles of closed loop
