% program freq_resp_09_dr
% Bode and Nyquist plots of a second order open loop with positive zero
% with P controller

clear; clc

Kc   =  2;

s    = tf('s');

Gc     = Kc;
Gf     = 1;
Gp     = (-s+1)/(4*s+1)/(2*s+1);
Gm     = 1;
Km     = 1;

Gfor  = Gc*Gf*Gp;
Gol   = Gfor*Gm;

figure (1)
subplot(1,2,1), bode(Gol)
subplot(1,2,2), nyquist(Gol)


