% program freq_resp_10_dr
% Bode and Nyquist plots of a first order with dead time open loop 
% with P controller

clear; clc

Kc   =  1;
Kp   =  1;
td     = 1;
tp     = 2;

s    = tf('s');

Gc     = Kc;
Gf     = 1;
Gp     = Kp/(tp*s+1)*exp(-td*s);
Km     = 1;
Gm     = Km;

Gfor  = Gc*Gf*Gp;
Gol   = Gfor*Gm;

figure (1)
subplot(1,2,1), bode(Gol)
subplot(1,2,2), nyquist(Gol)


