function [ar,phi,omegaco,index_1,omega1,index_2] = solved_problem_7_1(omega,phase_margin)
f  = exp(-2*omega*j)./(8*omega*j+1).^2;
for k = 1:length(omega)
    ar(1,k)  = abs(f(1,k));
    phi(1,k) = atan2(imag(f(1,k)),real(f(1,k)));
    if k >= 2
        if phi(1,k-1) < 0 & phi(1,k) >= 0
            phi(1,k) = phi(1,k) - 2*pi;
        end
    end
    phi(1,k) = phi(1,k)*180/pi;
end
for k = 1:length(omega)
    distance_1(1,k) = abs(180+phi(1,k));
end
[distance_1_min,index_1] = min(distance_1) 
omegaco = omega(1,index_1);   
for k = 1:length(omega)
    distance_2(1,k) = abs(180 - phase_margin + phi(1,k));
end
[distance_2_min,index_2] = min(distance_2) 
omega1 = omega(1,index_2);   
return
