% program solved_problem_8_4_dr
clear;  clc
s = tf('s');
Kc1 = 1;
Kc2 = 20;
Kc3 = 1;
Kc4 = 1;
ti1 = 0.5;
ti2 = 0.5;
ti3 = 0.1;
ti4 = 1.0;
tau1  = sqrt(ti1/Kc1);
tau2  = sqrt(ti2/Kc2);
tau3  = sqrt(ti3/Kc3);
tau4  = sqrt(ti4/Kc4);
zeta1 = (Kc1+1)/2*tau1;
zeta2 = (Kc2+1)/2*tau2;
zeta3 = (Kc3+1)/2*tau3;
zeta4 = (Kc4+1)/2*tau4;
Gsp1 = (ti1*s+1)/(tau1^2*s^2+2*zeta1*tau1*s+1);
Gsp2 = (ti2*s+1)/(tau2^2*s^2+2*zeta2*tau2*s+1);
Gsp3 = (ti3*s+1)/(tau3^2*s^2+2*zeta3*tau3*s+1);
Gsp4 = (ti4*s+1)/(tau4^2*s^2+2*zeta4*tau4*s+1);
t0     = 0;
dt     = 0.01;
tfinal = 6;
t = [t0:dt:tfinal]';
[y1] = step(Gsp1,t);
[y2] = step(Gsp2,t);
[y3] = step(Gsp3,t);
[y4] = step(Gsp4,t);
plot(t,y1,'r',t,y2,'g',t,y3,'b',t,y4,'c')
