% program example_11_3_dr
clear; clc 

s = tf('s');

e1  = 0.2;
e2  = 0.1;

Gp  = (1-s)/(s+2)/(s+3);
Gd  = 1/(s+2);

Gc  = (s+2)*(s+3)/2/s/(e1*s+1);
Gff = (s+3)/3/(e2*s+1);

Gload = (Gp-Gff*Gp)/(1+Gc*Gp);
Gsp   = Gc*Gp/(1+Gc*Gp);

dt    = 0.01;
tt    = [0:dt:10];

[yt_sp  ]  = step(Gsp  ,tt);
[yt_load]  = step(Gload,tt);

figure(1)
plot(tt,yt_sp)
xlabel('t')
ylabel('y(t)')
pause

figure(2)
plot(tt,yt_load)
xlabel('t')
ylabel('y(t)')
