% program example_13_5_dr
clear; clc
s    = tf('s');
G    = [(2/(10*s+1)), (2/(1*s+1));(1/(1*s+1)), (-4/(10*s+1))];
tau1  =  1.0;
tau2  =  1.2;
Gsp  =  [1/(tau1*s+1), 0;...
         0, 1/(tau2*s+1)];
Gc   = inv(G)*Gsp*inv(eye(2)-Gsp)
pause
Gspreal = inv(eye(2)+G*Gc)*G*Gc;
tt   = [0:0.01:10];
y_11 = step(Gspreal(1,1), tt);
y_12 = step(Gspreal(1,2), tt);
y_21 = step(Gspreal(2,1), tt);
y_22 = step(Gspreal(2,2), tt);
plot(tt, y_11+y_12,tt,y_21+y_22)

