function [sys_sp] = gsp(num_c,den_c,...
                        num_f,den_f,...
                        num_p,den_p,...
                        num_m,den_m,index);
                                   
km        = num_m(length(num_m))/den_m(length(den_m));
sys_mgain = tf([km],[1]);

sys_c = tf(num_c,den_c);
sys_f = tf(num_f,den_f);
sys_p = tf(num_p,den_p);
sys_m = tf(num_m,den_m);

% Gfor(s) = Gc(s)*Gf(s)*Gp(s)
sys_for = series(sys_c,series(sys_f,sys_p));

% Gol(s) = Gc(s)*Gf(s)*Gp(s)*Gm(s)
sys_ol = series(sys_for,sys_m);


% computation of Gsp(s)
sys_sp1 = feedback(sys_for,sys_m,index);
sys_sp  = series(sys_mgain,sys_sp1);

return
