% program valve

clear; clc

% control valve

n  = 10;

c( 1,1) = 5.00;  % Vdc
c( 2,1) = 4.60;  % Vdc
c( 3,1) = 4.20;  % Vdc
c( 4,1) = 3.80;  % Vdc
c( 5,1) = 3.40;  % Vdc
c( 6,1) = 3.00;  % Vdc
c( 7,1) = 2.60;  % Vdc
c( 8,1) = 2.20;  % Vdc
c( 9,1) = 1.80;  % Vdc
c(10,1) = 1.40;  % Vdc

F( 1,1) = 81.83;  % cm3 sec-1
F( 2,1) = 80.83;  % cm3 sec-1
F( 3,1) = 78.50;  % cm3 sec-1
F( 4,1) = 71.00;  % cm3 sec-1
F( 5,1) = 57.00;  % cm3 sec-1
F( 6,1) = 42.83;  % cm3 sec-1
F( 7,1) = 29.17;  % cm3 sec-1
F( 8,1) = 17.67;  % cm3 sec-1
F( 9,1) =  9.00;  % cm3 sec-1
F(10,1) =  2.00;  % cm3 sec-1

Fnew( 1,1) = F( 1,1)*60/1000;  % liter min-1
Fnew( 2,1) = F( 2,1)*60/1000;  % liter min-1
Fnew( 3,1) = F( 3,1)*60/1000;  % liter min-1
Fnew( 4,1) = F( 4,1)*60/1000;  % liter min-1
Fnew( 5,1) = F( 5,1)*60/1000;  % liter min-1
Fnew( 6,1) = F( 6,1)*60/1000;  % liter min-1
Fnew( 7,1) = F( 7,1)*60/1000;  % liter min-1
Fnew( 8,1) = F( 8,1)*60/1000;  % liter min-1
Fnew( 9,1) = F( 9,1)*60/1000;  % liter min-1
Fnew(10,1) = F(10,1)*60/1000;  % liter min-1

figure(1)
plot(c,Fnew,'o')
xlabel('c, Vdc')
ylabel('F, liter/min')
